/*
This file is part of ChatRoom.

Copyright (C) 1999 William Garrett Mitchener
E-mail: wmitchen@princeton.edu

ChatRoom is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

ChatRoom is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License
along with ChatRoom; if not, write to the Free Software Foundation,
Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/
package Celbercor;

import java.io.*;
import java.net.*;
import java.security.*;
import javax.crypto.*;
import javax.crypto.spec.*;

/** (Step 6) This message is sent by the end server, encrypted under
 * the end client/service session key, to acknowledge that it got a
 * properly formed <tt>ServiceConctactMessage</tt>, and to tell the
 * client that it may go ahead with communication.  */

public class ServiceAcknowledgeMessage
  implements Serializable
{
  public ServiceAcknowledgeMessage( String endClientName,
				    String serviceName,
				    long time )
    {
      myEndClientName = endClientName;
      myServiceName = serviceName;
      myTime = time;
    }

  public String getEndClientName()
    {
      return myEndClientName;
    }

  public String getServiceName()
    {
      return myServiceName;
    }

  public long getTime()
    {
      return myTime;
    }

  private String myEndClientName;
  private String myServiceName;
  private long myTime;
}
