/*
This file is part of ChatRoom.

Copyright (C) 1999 William Garrett Mitchener
E-mail: wmitchen@princeton.edu

ChatRoom is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

ChatRoom is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License
along with ChatRoom; if not, write to the Free Software Foundation,
Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/
package ChatRoom.Server;

import ChatRoom.Tools.*;

/** This class is used server-side.  It runs an infinite loop which
 * reads messages from a reader and sends them to a bunch of writers
 * contained in a client list. */

public class MessageConsumer
  implements Runnable
{
  public MessageConsumer( ClientList cl, Reader r )
    {
      myClientList = cl;
      myReader = r;
    }
 
  /** Read messages and sends them to the chat room until there are no
   * more (that is, the Reader given in the constructor returns
   * null). */

  public void run()
    {
      Message m = myReader.getNextMessage();
      while( m != null )
	{
	  myClientList.deliverMessage( m );
	  m = myReader.getNextMessage();
	}
    }

  private ClientList myClientList;
  private Reader myReader;
}
