/*
This file is part of ChatRoom.

Copyright (C) 1999 William Garrett Mitchener
E-mail: wmitchen@princeton.edu

ChatRoom is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

ChatRoom is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License
along with ChatRoom; if not, write to the Free Software Foundation,
Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/
package ChatRoom.Tools;

import java.io.*;

/** A Message object represents a single message to the chat
 * room consisting of a name and a string of text. */

public class Message
  implements Serializable
{
  public Message()
    {
      this( "", "" );
    }

  public Message( String name, String text )
    {
      myName = name;
      myText = text;
    }

  public void setName( String name )
    {
      myName = name;
    }

  public void setText( String text )
    {
      myText = text;
    }

  public String getName()
    {
      return myName;
    }

  public String getText()
    {
      return myText;
    }

  public String toString()
    {
      StringBuffer sb = new StringBuffer();
      sb.append( myName );
      sb.append( ": " );
      sb.append( myText );
      return sb.toString();
    }

  private String myName;
  private String myText;

}
