/*
This file is part of ChatRoom.

Copyright (C) 1999 William Garrett Mitchener
E-mail: wmitchen@princeton.edu

ChatRoom is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

ChatRoom is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License
along with ChatRoom; if not, write to the Free Software Foundation,
Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/
package ChatRoom.Tools;

import java.io.*;

/** This interface is for classes that can send
 * messages. <em>Note:</em> If you are using this class and the
 * java.io package in the same .java file, be aware that there is a
 * Writer interface there as well.  You might want to use the
 * following import lines:
 *
 * <pre>
 * import java.io.*;
 * import ChatRoom.Tools.*;
 * import ChatRoom.Tools.Writer;
 * </pre>
 *
 * That last explicit import resolves the ambiguity between
 * java.io.Writer and ChatRoom.Tools.Writer. */

public interface Writer
{
  /** Delivers the message. Should throw an IOException if it fails. */
  public void deliverMessage( Message m )
    throws IOException;
}
