package FlamingSword;

import java.security.*;
import java.util.*;

/** This class is used for nonces, and is just an array of random
 * bytes.  */

public class RandomByteArray
  implements java.io.Serializable
{
  private static SecureRandom ourRandom;

  static
    {
      SecureRandom r = null;
      try
	{
	  r = SecureRandom.getInstance( "SHA1PRNG" );
	}
      catch( GeneralSecurityException ex )
	{
	  ex.printStackTrace();
	}
      ourRandom = r;
    }

  public RandomByteArray()
    {
      myData = new byte[32];
      ourRandom.nextBytes( myData );
    }

  public boolean equals( Object other )
    {
      if( this == other )
	{
	  return true;
	}
      else
	{
	  RandomByteArray r = null;

	  try
	    {
	      r = (RandomByteArray)other;
	    }
	  catch( ClassCastException ex )
	    {
	      return false;
	    }

	  return Arrays.equals( r.myData, myData );
	}
    }

  public String toString()
    {
      StringBuffer sb = new StringBuffer();
      int i;

      sb.append( "RandomByteArray {" );
      
      for( i = 0; i < myData.length; i++ )
	{
	  sb.append( ' ' );
	  sb.append( Byte.toString( myData[i] ) );
	}
      sb.append( " }" );
      return sb.toString();
    }

  private byte myData[];
}
