package FlamingSword;

import java.io.*;
import java.util.*;
import java.security.*;
import javax.crypto.*;

/** (Step 4) This class represents the message for the fourth stage in
 * the protocol: the service sends back the encrypted nonce to say
 * that it agrees to further secure communication. */

public class ServiceAcknowledgeMessage
  implements java.io.Serializable
{
  public ServiceAcknowledgeMessage( SealedObject sealedNonce )
    {
      mySealedNonce = sealedNonce;
    }

  public void decrypt( PublicKey serviceKey )
    throws IOException, GeneralSecurityException, ClassNotFoundException
    {
      myNonce = mySealedNonce.getObject( serviceKey );
    }

  public Object getNonce()
    {
      return myNonce;
    }

  private SealedObject mySealedNonce;
  private transient Object myNonce;
}
