package FlamingSword;

import java.io.*;
import java.util.*;
import java.security.*;
import javax.crypto.*;

/** (Step 3) This class represents the message for the thrid stage in
 * the protocol: the end client sends a sealed ticket and nonce to the
 * end server.  */

public class ServiceContactMessage
  implements java.io.Serializable
{
  public ServiceContactMessage( SealedObject sealedTicket,
				SealedObject sealedNonce )
    {
      mySealedTicket = sealedTicket;
      mySealedNonce = sealedNonce;
    }

  public void decrypt( PublicKey authServerKey )
    throws IOException, GeneralSecurityException, ClassNotFoundException
    {
      myTicket = (Ticket)mySealedTicket.getObject( authServerKey );
      myNonce = mySealedNonce.getObject( myTicket.getPublicKey() );
    }

  public Ticket getTicket()
    {
      return myTicket;
    }

  public SealedObject getSealedNonce()
    {
      return mySealedNonce;
    }

  public Object getNonce()
    {
      return myNonce;
    }

  private SealedObject mySealedTicket;
  private transient Ticket myTicket;
  private SealedObject mySealedNonce;
  private transient Object myNonce;
}
